Deployments
Get deployment metrics timeseries
GET
/
v1
/
deployments
/
{deployment_id}
/
metrics
/
timeseries
Get deployment metrics timeseries
curl --request GET \
--url https://api.veri.studio/v1/deployments/{deployment_id}/metrics/timeseries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/deployments/{deployment_id}/metrics/timeseries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/deployments/{deployment_id}/metrics/timeseries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"deployment_id": "<string>",
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"interval": "auto",
"summary": {
"requests": 123,
"successfulRequests": 123,
"clientErrors": 123,
"serverErrors": 123,
"promptTokens": 123,
"cachedPromptTokens": 123,
"completionTokens": 123,
"errorRate": 123,
"ttft_ms": {
"samples": 123,
"p50": 123,
"p90": 123,
"p95": 123,
"p99": 123
},
"e2e_ms": {
"samples": 123,
"p50": 123,
"p90": 123,
"p95": 123,
"p99": 123
},
"tpot_ms": {
"samples": 123,
"p50": 123,
"p90": 123,
"p95": 123,
"p99": 123
}
},
"buckets": [
{
"timestamp": "2023-11-07T05:31:56Z",
"requests": 123,
"successful_requests": 123,
"client_errors": 123,
"server_or_stream_errors": 123,
"request_rate_per_second": 123,
"error_rate": 123,
"prompt_tokens": 123,
"cached_prompt_tokens": 123,
"completion_tokens": 123,
"output_tokens_per_second": 123,
"ttft_ms": {
"samples": 123,
"p50": 123,
"p90": 123,
"p95": 123,
"p99": 123
},
"e2e_ms": {
"samples": 123,
"p50": 123,
"p90": 123,
"p95": 123,
"p99": 123
},
"tpot_ms": {
"samples": 123,
"p50": 123,
"p90": 123,
"p95": 123,
"p99": 123
},
"cost_usd": 123
}
],
"replica_id": "<string>",
"cost_efficiency": {
"cost_usd": 123,
"cost_per_request_usd": 123,
"cost_per_million_tokens_usd": 123,
"tokens_per_dollar": 123
}
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
Path Parameters
Deployment ID
Query Parameters
Available options:
auto, minute, five_minutes, hour, day Scope buckets, summary, and cost to one replica of the deployment (404 when the replica doesn't belong to it). Omitted = deployment-wide.
Response
Server-filled inference metrics buckets
Available options:
auto, minute, five_minutes, hour, day Show child attributes
Show child attributes
Show child attributes
Show child attributes
Set when the response is scoped to one replica (?replica_id=); absent for deployment-wide scope.
Show child attributes
Show child attributes
Get deployment metrics timeseries
curl --request GET \
--url https://api.veri.studio/v1/deployments/{deployment_id}/metrics/timeseries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/deployments/{deployment_id}/metrics/timeseries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/deployments/{deployment_id}/metrics/timeseries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"deployment_id": "<string>",
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"interval": "auto",
"summary": {
"requests": 123,
"successfulRequests": 123,
"clientErrors": 123,
"serverErrors": 123,
"promptTokens": 123,
"cachedPromptTokens": 123,
"completionTokens": 123,
"errorRate": 123,
"ttft_ms": {
"samples": 123,
"p50": 123,
"p90": 123,
"p95": 123,
"p99": 123
},
"e2e_ms": {
"samples": 123,
"p50": 123,
"p90": 123,
"p95": 123,
"p99": 123
},
"tpot_ms": {
"samples": 123,
"p50": 123,
"p90": 123,
"p95": 123,
"p99": 123
}
},
"buckets": [
{
"timestamp": "2023-11-07T05:31:56Z",
"requests": 123,
"successful_requests": 123,
"client_errors": 123,
"server_or_stream_errors": 123,
"request_rate_per_second": 123,
"error_rate": 123,
"prompt_tokens": 123,
"cached_prompt_tokens": 123,
"completion_tokens": 123,
"output_tokens_per_second": 123,
"ttft_ms": {
"samples": 123,
"p50": 123,
"p90": 123,
"p95": 123,
"p99": 123
},
"e2e_ms": {
"samples": 123,
"p50": 123,
"p90": 123,
"p95": 123,
"p99": 123
},
"tpot_ms": {
"samples": 123,
"p50": 123,
"p90": 123,
"p95": 123,
"p99": 123
},
"cost_usd": 123
}
],
"replica_id": "<string>",
"cost_efficiency": {
"cost_usd": 123,
"cost_per_request_usd": 123,
"cost_per_million_tokens_usd": 123,
"tokens_per_dollar": 123
}
}
